Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065790 - Admin manage search no longer shows time estimates
Summary: Admin manage search no longer shows time estimates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4
Assignee: David Mason
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 00:54 UTC by David Mason
Modified: 2014-07-17 06:39 UTC (History)
4 users (show)

Fixed In Version: 3.4.0-SNAPSHOT (20140228-1142)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1060628 None None None Never

Internal Links: 1060628

Description David Mason 2014-02-17 00:54:47 UTC
Description of problem:
Manage Search page in Admin section used to show elapsed time and estimated remaining time, but these are no longer shown.

Additional info:
Back-end code got out of sync due to some display issues. See https://bugzilla.redhat.com/show_bug.cgi?id=1060628

Comment 1 David Mason 2014-02-21 02:27:27 UTC
Updated in https://github.com/zanata/zanata-server/pull/382

Comment 2 David Mason 2014-02-27 02:35:26 UTC
Added basic functional test.

See: http://zanata-build.lab.eng.bne.redhat.com:8080/job/zanata-server-github-pull-requests/1088/

Comment 3 Damian Jansen 2014-03-04 05:03:05 UTC
Verified.
Minor points to note:
- timer jumps around a bit at the start of a large operation, but seems to pan out to be roughly accurate
- long text in the progress bar is truncated - see https://f.cloud.github.com/assets/4597195/2317850/fa8a0bb2-a357-11e3-9b7c-2432e9c70930.png


Note You need to log in before you can comment on or make changes to this bug.